Subject: Re: [PATCH net-next v4 3/3] net: dpaa2-mac: export standard statistics

From: Jakub Kicinski <[email-masked]>
Date: Fri, 20 Mar 2026 19:19:43 -0700

On Thu, 19 Mar 2026 16:23:46 +0200 Ioana Ciornei wrote:
> +	DPMAC_RMON_COUNTER(DPMAC_CNT_EGR_UNDERSIZED, undersize_pkts),
> +	DPMAC_RMON_COUNTER(DPMAC_CNT_ING_OVERSIZED, oversize_pkts),

AI says:

According to the RMON standard (RFC 2819), the etherStatsUndersizePkts
counter tracks the number of undersized packets received. Should this map
to an ingress counter rather than the egress counter DPMAC_CNT_EGR_UNDERSIZED
used here?

https://sashiko.dev/#/patchset/20260319142346.2483232-1-ioana.ciornei%40nxp.com